Package org.apache.sysds.runtime.controlprogram.paramserv.dp

## Class FederatedDataPartitioner

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.dp.FederatedDataPartitioner

    public class FederatedDataPartitioner
    extends Object

### Constructor Summary

Constructors
`FederatedDataPartitioner​(Statement.FederatedPSScheme scheme, int seed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataPartitionFederatedScheme.Result` `doPartitioning​(MatrixObject features, MatrixObject labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedDataPartitioner

    public FederatedDataPartitioner​(Statement.FederatedPSScheme scheme,
                                    int seed)

### Method Detail

#### doPartitioning

    public DataPartitionFederatedScheme.Result doPartitioning​(MatrixObject features,
                                                              MatrixObject labels)